org.eclipse.actf.model.ui

## Class ModelServiceImageCreator

- java.lang.Object
- - org.eclipse.actf.model.ui.ModelServiceImageCreator

    public class ModelServiceImageCreator
    extends Object

Utility class to create a screenshot (bitmap file) of the `IModelService`

### Field Summary

Fields
`static int` `DUMP_IMG_SIZE_LIMIT` Maximum size of screenshot image

### Constructor Summary

Constructors
Constructor and Description
`ModelServiceImageCreator(IModelService modelService)` Constructor of the class

### Method Summary

Methods
`File` `getScreenImageAsBMP(String saveFileName, boolean isWhole)` Generate screenshot of the `IModelService` and save it as bitmap file

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DUMP_IMG_SIZE_LIMIT

    public static final int DUMP_IMG_SIZE_LIMIT

Maximum size of screenshot image

See Also:
  Constant Field Values

### Constructor Detail

#### ModelServiceImageCreator

    public ModelServiceImageCreator(IModelService modelService)

Constructor of the class

Parameters:
  `modelService` - target `IModelService`

### Method Detail

#### getScreenImageAsBMP

    public File getScreenImageAsBMP(String saveFileName,
                           boolean isWhole)

Generate screenshot of the `IModelService` and save it as bitmap file

Parameters:
  `saveFileName` - target file path
  `isWhole` -
  - true: try to include entire area of the content into screenshot
  - false: generate screenshot of current visible area
Returns:
  resulting `File`